<?php
/**
 * Template part for displaying content of 404
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#404-not-found
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package errigal
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit;

use Errigal\Constant\Errigal_Template_Part as Template_Part;
use Errigal\Icon\Errigal_Icon as Icon;

get_template_part(
	'template-parts/component/content/no-entry-section',
	null,
	array(
		/**
		 * Renders no entry section content.
		 *
		 * @since 1.1.0
		 *
		 * @return void
		 */
		Template_Part::RENDER_CALLBACK => function () {
			get_template_part(
				'template-parts/header/page-header',
				null,
				array(
					Template_Part::ICON    => Icon::MEGAPHONE,
					Template_Part::HEADING => esc_html__( 'Page not found', 'errigal' ),
				)
			);
			get_template_part( 'template-parts/component/content/content-none' );
		},
	)
);
